YE Qianchuan | 5 Apr 14:58 2013
Picon

Re: Failed to build emacs against imagemagick 6.8.4.6

On 04/05/2013 05:50 PM, Herbert J. Skuhra wrote:
> Den 05.04.2013 11:25, skrev YE Qianchuan:
>> Hi, all. I'm on Archlinux x86_64.
>> It kept complaining about undefined reference to <imagemagick symbol>.
>> Since I built it smoothly before upgrading imagemagick to 6.8.4.6, I
>> guess it's an incompatibility issue.
>>
>> A sample error output is as follows:
>> [...]
>
> IMAGEMAGICK_LIBS in src/Makefile contains only '-lMagickCore'.
> So you have to add '-lMagickWand' manually.
>
Forgot to cc this list.

Thank you.  You are right, now MagickWand is necessary.
According to your tips, a simple modification in configure.ac works for me.

diff --git a/configure.ac b/configure.ac
index 0cff34b..bb240a7 100644
--- a/configure.ac
+++ b/configure.ac
 <at>  <at>  -1881,7 +1881,7  <at>  <at>  if test "${HAVE_X11}" = "yes"; then
      ## might work - let us know if you find one.
      ## 6.0.7 does not work.  See bug#7955.
      ## 6.8.2 makes Emacs crash; see Bug#13867.
-    IMAGEMAGICK_MODULE="Wand >= 6.2.8 Wand != 6.8.2"
+    IMAGEMAGICK_MODULE="MagickWand >= 6.2.8 MagickWand != 6.8.2"
      PKG_CHECK_MODULES(IMAGEMAGICK, $IMAGEMAGICK_MODULE, 
HAVE_IMAGEMAGICK=yes, :)
      AC_SUBST(IMAGEMAGICK_CFLAGS)
      AC_SUBST(IMAGEMAGICK_LIBS)


Gmane